Aide de Rapport d'erreur NI

Janvier 2017, 373371D-0114

La fonctionnalité Rapport d'erreur NI vous permet d'envoyer un rapport de plantage ou de mise en garde interne à NI. NI utilise le rapport pour améliorer les logiciels. Vous pouvez joindre au rapport d'erreur ou de mise en garde interne des fichiers relatifs à l'erreur, des commentaires ainsi que votre adresse e-mail. NI vous conseille de joindre tous les fichiers nécessaires pour reproduire le plantage ou la mise en garde interne.

Remarque Remarque
  • L'envoi d'un rapport à NI via la fonctionnalité Rapport d'erreur NI en indiquant votre adresse e-mail ne fournit pas un support technique immédiat. Si vous voulez de l'aide pour résoudre un plantage ou une mise en garde interne, contactez le support technique de NI.
  • Si le bouton Envoyer est désactivé, contactez votre administrateur.

Termes pouvant apparaître dans les boîtes de dialogue Rapport d'erreur NI

Les termes suivants peuvent apparaître dans les boîtes de dialogue Rapport d'erreur NI :
  • Exception — Erreur interne détectée par le système d'exploitation.
  • (LabVIEW) DAbort — Erreur interne de LabVIEW. LabVIEW ne peut pas poursuivre son exécution lorsqu'une erreur interne (DAbort) est détectée car cela risque de corrompre les VIs en mémoire. Dans la boîte de dialogue Rapport d'erreur NI, les erreurs internes (DAborts) sont associées à un code d'erreur. Vous pouvez rechercher le code d'erreur sur ni.com afin de connaître les raisons possibles de l'erreur interne.
  • (LabVIEW) DWarn — Mise en garde interne de LabVIEW. LabVIEW peut continuer de s'exécuter quand une mise en garde interne (DWarn) survient, mais il enregistrera les informations dans le rapport de mise en garde interne.

Explication des rapports

Pour afficher un rapport avant de l'envoyer à NI, cliquez sur Afficher le rapport dans la boîte de dialogue Rapport d'erreur NI.

Rapport d'erreur NI conserve les 20 derniers rapports de chaque processus ou produit sur l'ordinateur. Vous trouverez le rapport de plantage ou de mise en garde interne dans les répertoires suivants :

  • (LabVIEW) LabVIEW Data\LVInternalReports\LabVIEW\<Version>\<ID du rapport>
  • (MAX) C:\ProgramData\National Instruments\MAX\Logs\MAX\<ID du rapport>
  • (Tous les autres produits NI) %LocalAppData%\National Instruments\<Nom du produit>\ErrorReports\<Version>\<ID du rapport>

Vous trouverez la <Version> et l'<ID du rapport> dans la boîte de dialogue Rapport d'erreur NI.

Le rapport de plantage ou de mise en garde interne contient :

  • Des fichiers d'image mémoire requérant un traitement minimal pour les mises en garde internes, les erreurs et les exceptions, qui incluent des codes d'erreur et d'autres informations ayant trait au plantage ou à la mise en garde interne
  • Un fichier texte qui inclut des détails complémentaires sur le plantage ou la mise en garde interne
  • Un second fichier texte qui inclut les commentaires et l'adresse e-mail que vous entrez dans la boîte de dialogue Rapport d'erreur NI
  • (Facultatif) Le fichier zip que vous attachez en pièce jointe dans la boîte de dialogue Rapport d'erreur NI

Raisons possibles d'erreur à l'envoi d'un rapport

Code | Description
0x80002012 | Un timeout a eu lieu pour la connexion au serveur National Instruments. Cliquez sur Réessayer pour tenter de nouveau d'envoyer le rapport. Si des erreurs persistent lors de l'envoi d'un rapport de plantage ou de mise en garde interne, contactez le support technique de National Instruments pour obtenir de l'aide.
0x80002011 | Un timeout a eu lieu car l'envoi du rapport a pris plus de cinq minutes. Ceci peut être dû à un rapport est trop grand ou à une connexion réseau lente. Cliquez sur Réessayer pour tenter d'envoyer de nouveau le rapport.
0x80002001 | Un pare-feu ou d'autres paramètres réseau ont empêché l'envoi de ce rapport. Désactivez tous les pare-feux ou contactez votre administrateur réseau.
0x8000200C | L'envoi de ce rapport requiert une autorisation du proxy. Contactez votre administrateur réseau.
0x80008002 | Le serveur National Instruments n'est pas disponible. Cliquez sur Réessayer pour tenter d'envoyer de nouveau le rapport. Si des erreurs persistent lors de l'envoi d'un rapport de plantage ou de mise en garde interne, contactez le support technique de National Instruments pour obtenir de l'aide.
0x80008001, 0x80008003, 0x80008004, 0x80008005, 0x80008006, 0x80008007 et 0x8000200A | Le serveur de National Instruments ne peut pas accepter ce rapport. Cliquez sur Réessayer pour tenter de nouveau d'envoyer le rapport. Si des erreurs persistent lors de l'envoi d'un rapport de plantage ou de mise en garde interne, contactez le support technique de National Instruments pour obtenir de l'aide.
Remarque Remarque Tous les autres codes d'erreur renvoient la description suivante : Une erreur a eu lieu à l'envoi de ce rapport. Cliquez sur Réessayer pour tenter de nouveau d'envoyer le rapport. Si des erreurs persistent lors de l'envoi d'un rapport d'erreur ou de mise en garde, contactez le support technique de National Instruments pour obtenir de l'aide.

Relancement d'un produit après un crash

Si l'option Relancer <Nom du produit> est cochée, votre produit sera relancé après la fermeture de la boîte de dialogue Communicateur de crash.

Le produit se relance comme il l'avait été précédemment (en double-cliquant sur le fichier .EXE ou via des arguments de ligne de commande).

Raisons pour lesquelles un produit ne parvient pas à se relancer

L'option Relancer <Nom du produit> risque d'être désactivée et le produit ne pourra pas être relancé dans les cas suivants :

  • La longueur totale de la chaîne d'arguments de la ligne de commande utilisée précédemment pour lancer le produit dépasse 255 caractères.
  • (LabVIEW) Vous utilisez LabVIEW 2011.
  • (LabVIEW) Vous utilisez le moteur d'exécution de LabVIEW.

(LabVIEW) Rapport d'erreur NI dans le moteur d'exécution de LabVIEW

Dans le moteur d'exécution de LabVIEW, le Rapport d'erreur NI affiche une boîte de dialogue de plantage quand une erreur interne (DAbort) ou une exception est détectée. Cependant, vous n'avez pas l'option d'envoyer le rapport à NI. La boîte de dialogue de plantage affiche le nom du processus comme nom du produit au lieu du nom de l'application logicielle, comme LabVIEW par exemple. Le Rapport d'erreur NI crée des fichiers d'image mémoire requérant un traitement minimal pour les mises en garde internes (DWarns), mais la boîte de dialogue Communicateur de mises en garde internes n'apparaît pas quand vous fermez l'application.

© 2011–2017 National Instruments. Tous droits réservés.


Services NI

NI fournit un support et des services dans le monde entier, signe de notre engagement à assurer votre succès. Tirez parti des services pour vos produits et des programmes de formation et de certification qui répondent à vos besoins à chaque phase du cycle de vie de l'application ; de la planification et du développement jusqu'au déploiement et à la maintenance continue.

Pour commencer, créez un compte ou connectez-vous avec votre profil utilisateur MyNI sur ni.com/myproducts, puis enregistrez votre produit.

En tant qu'utilisateur de produits NI enregistré, vous avez droit aux avantages suivants :

  • L'accès aux services de produits qui vous sont applicables.
  • Une gestion simplifiée de vos produits avec un compte en ligne.
  • La réception de notifications sur des pièces critiques, de mises à jour logicielles et d'expiration de services.

Services et ressources

  • Maintenance et services pour le matériel : NI vous aide à identifier les spécifications de fiabilité et de précision de vos systèmes et fournit des services de garantie, d'échange de pièces et d'étalonnage afin de vous aider à conserver la précision et à minimiser les temps d'arrêt de votre système tout au long de son cycle de vie. Allez sur ni.com/services pour en savoir plus.
    • Garantie et réparation : tout le matériel NI est livré avec une garantie standard d'un an, qui peut être prolongée jusqu'à cinq ans. NI fournit des services de réparation prompts effectués dans un centre de services NI par des techniciens d'usine très qualifiés qui utilisent des pièces d'origine.
    • Étalonnage : un étalonnage régulier permet de quantifier et d'améliorer les performances de mesure d'un instrument. NI propose des services d'étalonnage de pointe. Si votre produit supporte l'étalonnage, vous pouvez obtenir son certificat d'étalonnage sur ni.com/calibration.
  • Intégration de systèmes : si vous devez concilier délais serrés, ressources techniques limitées et toute autre contrainte, nous vous invitons à faire appel aux membres du Programme National Instruments Alliance Partner. Pour en savoir plus, appelez votre filiale NI locale ou allez sur ni.com/alliance.
  • Formations et certifications : le programme de formation et de certification NI est le moyen le plus efficace d'augmenter les aptitudes et la productivité des développeurs d'applications. Allez sur ni.com/training pour en savoir plus.
    • Le Guide de développement des compétences vous aide à identifier les compétences requises pour votre application actuelle et vous donne des options pour développer ces compétences en fonction de vos contraintes de temps et de budget, et de vos méthodes d'apprentissage préférées. Allez sur ni.com/skills-guide pour découvrir ces parcours personnalisés.
    • NI propose des cours dans plusieurs langues et formats, notamment des cours dispensés par un instructeur dans des locaux à travers le monde, des cours sur site dans vos locaux ainsi que des cours en ligne ; tout cela afin de répondre à vos besoins spécifiques.
  • Support technique : le support technique sur ni.com/support comprend les ressources suivantes :
    • Ressources d'auto-assistance technique : visitez ni.com/support pour vous procurer des drivers et des mises à jour de logiciels, faire des recherches dans la Base de connaissances, accéder aux manuels sur les produits et aux assistants de dépannage pas à pas, obtenir des milliers d'exemples de programmes, des tutoriels, des notes d'application, des drivers d'instruments et bien plus encore. Les utilisateurs enregistrés bénéficient également de l'accès aux forums de discussion NI, à ni.com/forums. Pour accéder au forum francophone, cliquez sur "Le forum francophone" dans le volet de droite "VISIT YOUR REGIONAL COMMUNITY". Les ingénieurs d'applications de NI se font fort de répondre à toutes les questions qui leur sont adressées.
    • Abonnement SSP : le programme SSP (Standard Service Program) est un abonnement renouvelable d'un an, inclus avec la plupart des produits logiciels NI, y compris NI Developer Suite. Ce programme confère à ses membres un accès direct par téléphone et e-mail aux ingénieurs d'application de NI et leur permet d'obtenir un support technique individuel, ainsi qu'un accès privilégié aux modules d'auto-formation en ligne sur ni.com/self-paced-training. NI fournit également des options d'extension de contrat flexibles pour que vos avantages SSP soient disponibles sans interruption tant que vous en avez besoin. Pour en savoir plus, allez sur ni.com/ssp.
  • Déclaration de conformité (DoC) : une déclaration de conformité, ou DoC, est notre déclaration de conformité avec le Conseil de l'Union européenne ; elle s'appuie sur la déclaration de conformité du fabricant. Ce système confère à l'utilisateur une protection en matière de compatibilité électromagnétique (CEM) et de sécurité des produits. Vous pouvez obtenir la DoC de votre produit en visitant le site ni.com/certification.

Pour obtenir des informations sur les autres options de support technique disponibles dans votre région, visitez ni.com/services ou contactez votre filiale locale en utilisant les coordonnées qui se trouvent sur ni.com/contact.

Vous pouvez également visiter la page des filiales internationales sur ni.com/niglobal afin d'accéder au site Web local de votre filiale, qui contient les informations les plus à jour pour contacter, entre autres, le support technique par téléphone, fax ou e-mail, ainsi que les dates des événements à venir.